/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.computer;

import cz.muni.fi.pb162.computer.components.Card;
import cz.muni.fi.pb162.computer.components.Component;
import cz.muni.fi.pb162.computer.components.Device;
import cz.muni.fi.pb162.computer.components.MotherBoard;
import cz.muni.fi.pb162.computer.components.USBDevice;
import cz.muni.fi.pb162.computer.components.ConnectionType;


/**
 *
 * @author apple
 */
public class Main {
    
    public static void main(String[] args){
        Component motherBoard=new MotherBoard("A",2,1);
        System.out.println("adding card: " +motherBoard.addComponent(new Card("Graphic Card"), ConnectionType.Slot));
        System.out.println("adding card: "+motherBoard.addComponent(new Card("NIC"), ConnectionType.Slot));
        System.out.println("adding card: "+motherBoard.addComponent(new Card("Sound card"), ConnectionType.Slot));
        
        Component printer = new USBDevice("Printer",1);
        
        System.out.println("adding usbdevice: "+motherBoard.addComponent(printer, ConnectionType.USB));
        
        Component scanner = new USBDevice("Scanner",0);
        
        System.out.println("adding usbdevice to mb: " + motherBoard.addComponent(motherBoard, ConnectionType.USB));
        
        System.out.println("Adding usbdevice to printer: " + printer.addComponent(scanner, ConnectionType.USB));
        
        System.out.println(motherBoard);
    }

}
