/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.computer.components;

/**
 *
 * @author apple
 */
public class USBDevice extends Device {
    private Component[] devices;
    private int devicesNumber = 0; 

    public USBDevice(String id,int ports) {
	super(id);
	devices = new USBDevice[ ports ];
    }

    public boolean hasChildern(){
	return devicesNumber > 0;
    }

    public Component[] getChildern(){
	Component[] devices = new USBDevice[devicesNumber];

	System.arraycopy(this.devices,0, devices, 0, devicesNumber);

	return devices;
    }

   public boolean isHub(){
	return devices.length > 0;
   }
   
   public int getFreeSlots(){
	return 0;
   }

   public int getFreePorts(){
	return devices.length - devicesNumber;
   }

   public boolean addComponent(Component device, ConnectionType where){
	boolean added = false;

	if( where == ConnectionType.USB ){
		if( getFreePorts() > 0){
			devices[devicesNumber] = device;
			devicesNumber++;
			added = true;
		}
	}
	return added;
   } 

   public String toString(){
	String desc = super.toString()+" devices:[";
	
	for(int i = 0; i <  devicesNumber ; i++){
		desc += devices[i];
		if( i < devicesNumber - 1 ){
			desc +=", ";
		}else{
			desc +="]";
		}
	}
	
	return desc;
   }
		
}
