/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.computer;

import cz.muni.fi.pb162.computer.components.Component;
import cz.muni.fi.pb162.computer.components.ConnectionType;

/**
 *
 * @author apple
 */
public class Computer {
    //array of components included in the computer
    private Component motherBoard;
    
    /** 
     * Constructor for class Computer
     * 
     * @param motherBoadrd - computer's motherboard
     */
    public Computer(Component motherBoard) {
	this.motherBoard = motherBoard;
    }

    /**
     * adds new component to the computer (to its motherboard)
     * 
     * @param device - device to be added
     * @param where - where to add new device. Possible values are "slot", 
     *                "usb"
     *
     * @return true - if there is free slot/usb port where to add device, false      * 		      otherwhere
     */
    public boolean add(Component device, ConnectionType where){
    	return motherBoard.addComponent(device, where);    
    }
}
